Bug 18569 - Quick add patron will not copy over details from cities and towns pull down into patron details
Summary: Quick add patron will not copy over details from cities and towns pull down i...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 3534
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-10 13:32 UTC by Kelly McElligott
Modified: 2017-07-31 11:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18569 - Quick add patron will not copy over details from cities and towns pull down into patron details (2.11 KB, patch)
2017-05-12 13:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18569 - Quick add patron will not copy over details from cities and towns pull down into patron details (1.70 KB, patch)
2017-05-17 02:05 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 18569 - Quick add patron will not copy over details from cities and towns pull down into patron details (1.78 KB, patch)
2017-05-19 16:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2017-05-10 13:32:07 UTC
When using the quick add patron option in koha 16.11 : 

If a library has cities and towns pre-populated in a drop down list and has added this field into the quick add patron form this information will not copy into the full patron form after saving.
Comment 1 Nick Clemens 2017-05-12 13:43:21 UTC
Created attachment 63442 [details] [review]
Bug 18569 - Quick add patron will not copy over details from cities and towns pull down into patron details

As the quick add form is created dynamically we must alter the function
that updates there fields to use a selector so it is not bound on the
intial elements

To test:
 1 - Add city field to QuickAddFields
 2 - Define some cities in Admin->Cities and towns
 3 - Test using the dropdown in uqick add form
 4 - Nothing happens
 5 - Switch to full form
 6 - use cities dropdown
 7 - it works
 8 - switch to quick add form
 9 - dropdown is not updated
10 - Apply patch
11 - Things should now update correctly on both forms and update when
switching forms
Comment 2 Dilan Johnpullé 2017-05-17 02:05:46 UTC
Created attachment 63494 [details] [review]
Bug 18569 - Quick add patron will not copy over details from cities and towns pull down into patron details

Followed test plan and the city value updates in the quick add form correctly.
Signed-off-by: Dilan Johnpulle <dilan@calyx.net.au>
Comment 3 Jonathan Druart 2017-05-19 16:33:40 UTC
Created attachment 63580 [details] [review]
Bug 18569 - Quick add patron will not copy over details from cities and towns pull down into patron details

Followed test plan and the city value updates in the quick add form correctly.
Signed-off-by: Dilan Johnpulle <dilan@calyx.net.au>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-05-24 14:23:56 UTC
Pushed to master for 17.05, thanks Nick!
Comment 5 Katrin Fischer 2017-06-05 12:18:17 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 6 Mason James 2017-07-31 11:02:44 UTC
Pushed to 16.05.x, for 16.05.15 release